=== debian/changelog ===
opencpn-plugin-nmeaconverter (0.1.1-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 05:40:07 -0700

opencpn-plugin-nmeaconverter (0.1.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 05:21:21 -0700

opencpn-plugin-nmeaconverter (0.1.1-0~disco1) disco; urgency=low

  * Version 0.1.1

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 21:50:05 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~disco1) disco; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 21:44:27 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~cosmic1) cosmic; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 09:13:39 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~bionic1) bionic; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 09:13:39 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~xenial1) xenial; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 09:13:39 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~trusty1) trusty; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 09:13:39 -0400

opencpn-plugin-nmeaconverter (0.2.0-0~precise1) precise; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.2.0-0~trusty1) trusty; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.2.0-0~utopic1) utopic; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.2.0-0~vivid1) vivid; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.2.0-0~wily1) wily; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.1.0-0~lucid1) lucid; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 24 Apr 2015 10:28:33 -0500

opencpn-plugin-nmeaconverter (0.1.0-0~precise1) precise; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 24 Apr 2015 10:28:33 -0500

opencpn-plugin-nmeaconverter (0.1.0-0~utopic1) utopic; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 24 Apr 2015 10:28:33 -0500

opencpn-plugin-nmeaconverter (0.1.0-0~vivid1) vivid; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 24 Apr 2015 10:28:33 -0500
